Debian Bug report logs - #463746
update-yorickdoc crashes when parsing UTF-8 files on

version graph

Package: yorick-doc; Maintainer for yorick-doc is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for yorick-doc is src:yorick.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Sat, 2 Feb 2008 22:12:01 UTC

Severity: normal

Tags: confirmed

Fixed in version yorick/2.1.05+dfsg-4

Done: Thibaut Paumard <paumard@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Thibaut Paumard <paumard@users.sourceforge.net>:
Bug#463746; Package yorick. Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Thibaut Paumard <paumard@users.sourceforge.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: crashes when installing yorick-doc on amd64
Date: Sat, 02 Feb 2008 17:09:32 -0500
Package: yorick
Version: 2.1.05+dfsg-2
Severity: important

Setting up yorick-doc (2.1.05+dfsg-2) ...
Updating Yorick documentation in /usr/share/doc/yorick-doc/html_xref
ERROR (strtok) Misaligned address interrupt (SIGBUS)
  LINE: 1662  FILE: /usr/lib/yorick/i0/std.i
yorick: quitting on error in batch mode
dpkg: error processing yorick-doc (--configure):
 subprocess post-installation script returned error exit status 1

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24.0 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages yorick depends on:
ii  debconf                    1.5.19        Debian configuration management sy
ii  libc6                      2.7-6         GNU C Library: Shared libraries
ii  libx11-6                   2:1.0.3-7     X11 client-side library
ii  yorick-data                2.1.05+dfsg-2 interpreted library for the Yorick

Versions of packages yorick recommends:
ii  rlwrap                        0.28-2     readline feature command line wrap

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463746; Package yorick. Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <paumard@users.sourceforge.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 463746@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 463746@bugs.debian.org
Subject: looks like an upstream bug
Date: Wed, 13 Feb 2008 16:25:33 +0100
[Message part 1 (text/plain, inline)]
Thanks for the bugreport,

This looks like an upstream bug to me. I asked the question there:

http://yorick.sourceforge.net/phpBB2/viewtopic.php?p=561

Regards, Thibaut.

[PGP.sig (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463746; Package yorick. Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <paumard@users.sourceforge.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 463746@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 463746@bugs.debian.org
Subject: confirm: crashes when installing yorick-doc on amd64
Date: Thu, 14 Feb 2008 16:03:59 +0100
tags 463746 confirmed
thanks

I can confirm this bug. Note that at least some of the documentation  
is built before Yorick crashes.

While I'm working on a fix, the documentation for the entire set of  
Yorick packages in Debian is available online here:

http://www.lesia.obspm.fr/~paumard/yorick-doc/

Regards, Thibaut.





Tags added: confirmed Request was from Thibaut Paumard <paumard@users.sourceforge.net> to control@bugs.debian.org. (Thu, 14 Feb 2008 15:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463746; Package yorick. Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <paumard@users.sourceforge.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #22 received at 463746@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 463746@bugs.debian.org
Subject: cause found: update-yorickdoc crashes when installing yorick-doc on amd64
Date: Fri, 15 Feb 2008 14:15:01 +0100
[Message part 1 (text/plain, inline)]
The cause is that on amd64, strtok() crashes when the first argument  
contains non-ASCII characters such as "²". I will make sure no add-on  
packages contain such characters, but the question remains of whether  
strtok should be considered buggy.

Regards, Thibaut.

[PGP.sig (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463746; Package yorick. Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <paumard@users.sourceforge.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 463746@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 463746@bugs.debian.org
Subject: workaround: update-yorickdoc crashes when parsing UTF-8 files on amd64
Date: Fri, 15 Feb 2008 15:48:19 +0100
[Message part 1 (text/plain, inline)]
package yorick yorick-doc
retitle 463746 update-yorickdoc crashes when parsing UTF-8 files on  
amd64
reassign 463746 yorick-doc
severity 463746 normal
thanks

I have just uploaded yorick-yutils 1.3.0-2 and yorick-yeti* 6.2.2-1.

Did you have any of these packages installed? If yes, can you try  
again with the latest version(s)? (as of writing, yorick-yeti* is not  
yet built for amd64).

This should fix the issue at hand, but I still consider it a bug that  
update-yorickdoc crashes when parsing UTF-8 files on amd64.

Regards, Thibaut.

[PGP.sig (application/pgp-signature, inline)]

Changed Bug title to `update-yorickdoc crashes when parsing UTF-8 files on' from `crashes when installing yorick-doc on amd64'. Request was from Thibaut Paumard <paumard@users.sourceforge.net> to control@bugs.debian.org. (Fri, 15 Feb 2008 14:51:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `yorick' to `yorick-doc'. Request was from Thibaut Paumard <paumard@users.sourceforge.net> to control@bugs.debian.org. (Fri, 15 Feb 2008 14:51:06 GMT) Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from Thibaut Paumard <paumard@users.sourceforge.net> to control@bugs.debian.org. (Fri, 15 Feb 2008 14:51:08 GMT) Full text and rfc822 format available.

Information stored:
Bug#463746; Package yorick-doc. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #38 received at 463746-quiet@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Thibaut Paumard <paumard@users.sourceforge.net>
Cc: 463746-quiet@bugs.debian.org
Subject: Re: Bug#463746: workaround: update-yorickdoc crashes when parsing UTF-8 files on amd64
Date: Fri, 15 Feb 2008 11:36:56 -0500
Thibaut Paumard <paumard@users.sourceforge.net> writes:

> I have just uploaded yorick-yutils 1.3.0-2 and yorick-yeti* 6.2.2-1.

Great; thanks!

> Did you have any of these packages installed? If yes, can you try
> again with the latest version(s)? (as of writing, yorick-yeti* is not
> yet built for amd64).

Yes, I did; I have all the extension packages installed, just in case
I should choose to use any of them.  I'll be sure to try again after
upgrading, probably some time this weekend.

> This should fix the issue at hand, but I still consider it a bug that
> update-yorickdoc crashes when parsing UTF-8 files on amd64.

Agreed.

BTW, per historical convention, addresses of the form
NNNNNN@bugs.debian.org do not generally forward to submitters.  (See
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365863 and its merged
bugs.)  As such, I'd appreciate it if you could take care to copy me
on further traffic, either explicitly or via the
365863-submitter@b.d.o alias (which, for the record, does not yield
anything in the bug log, so you'll still need to address some other
variant of the bug number as well).

Thanks!

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.




Information stored:
Bug#463746; Package yorick-doc. Full text and rfc822 format available.

Acknowledgement sent to ucko@debian.org (Aaron M. Ucko):
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #43 received at 463746-quiet@bugs.debian.org (full text, mbox):

From: ucko@debian.org (Aaron M. Ucko)
To: Thibaut Paumard <paumard@users.sourceforge.net>
Cc: 463746-quiet@bugs.debian.org
Subject: Re: Bug#463746: workaround: update-yorickdoc crashes when parsing UTF-8 files on amd64
Date: Fri, 15 Feb 2008 17:00:52 -0500
I can confirm that upgrading to the ASCIIfied versions of yorick-yeti*
and yorick-utils allows me to install yorick-doc; still, please do
leave this bug open until yorick's strtok() is more robust.

Thanks!

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
Finger amu@monk.mit.edu (NOT a valid e-mail address) for more info.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#463746; Package yorick-doc. Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <paumard@users.sourceforge.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #48 received at 463746@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 463746@bugs.debian.org
Cc: "Aaron M. Ucko" <ucko@debian.org>
Date: Thu, 13 Mar 2008 18:40:56 +0100
[Message part 1 (text/plain, inline)]
package yorick yorick-doc
tag 463746 pending
thanks

I finally found the fundamental bug in Yorick's strtok function and  
sent a patch to upstream (see http://yorick.sourceforge.net/phpBB2/ 
viewtopic.php?t=192). I'd like them to have a look at it before I  
upload, presumably within one week.

Regards, Thibaut.

[PGP.sig (application/pgp-signature, inline)]

Tags added: pending Request was from Thibaut Paumard <paumard@users.sourceforge.net> to control@bugs.debian.org. (Thu, 13 Mar 2008 17:44:59 GMT) Full text and rfc822 format available.

Reply sent to Thibaut Paumard <paumard@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 463746-close@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <paumard@users.sourceforge.net>
To: 463746-close@bugs.debian.org
Subject: Bug#463746: fixed in yorick 2.1.05+dfsg-4
Date: Fri, 14 Mar 2008 14:32:04 +0000
Source: yorick
Source-Version: 2.1.05+dfsg-4

We believe that the bug you reported is fixed in the latest version of
yorick, which is due to be installed in the Debian FTP archive:

yorick-data_2.1.05+dfsg-4_all.deb
  to pool/main/y/yorick/yorick-data_2.1.05+dfsg-4_all.deb
yorick-dev_2.1.05+dfsg-4_i386.deb
  to pool/main/y/yorick/yorick-dev_2.1.05+dfsg-4_i386.deb
yorick-doc_2.1.05+dfsg-4_all.deb
  to pool/main/y/yorick/yorick-doc_2.1.05+dfsg-4_all.deb
yorick_2.1.05+dfsg-4.diff.gz
  to pool/main/y/yorick/yorick_2.1.05+dfsg-4.diff.gz
yorick_2.1.05+dfsg-4.dsc
  to pool/main/y/yorick/yorick_2.1.05+dfsg-4.dsc
yorick_2.1.05+dfsg-4_i386.deb
  to pool/main/y/yorick/yorick_2.1.05+dfsg-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463746@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thibaut Paumard <paumard@users.sourceforge.net> (supplier of updated yorick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Mar 2008 14:57:16 +0100
Source: yorick
Binary: yorick yorick-data yorick-dev yorick-doc
Architecture: source i386 all
Version: 2.1.05+dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Changed-By: Thibaut Paumard <paumard@users.sourceforge.net>
Description: 
 yorick     - interpreted language and scientific graphics
 yorick-data - interpreted library for the Yorick language
 yorick-dev - development files for the Yorick interpreted language
 yorick-doc - documentation for the Yorick interpreted language
Closes: 463746
Changes: 
 yorick (2.1.05+dfsg-4) unstable; urgency=low
 .
   * Bug fix: "update-yorickdoc crashes when parsing UTF-8 files", thanks
     to Aaron M. Ucko, Dave Munro and Arnaud Sevin (Closes: #463746).  The
     fix consist in patching the strtok function, which now behaves well on
     UTF-8 strings.
   * Move menu entry to Applications/Science/Data Analysis.
   * Move doc-base entry to Science/Data Analysis.
   * Update-yorickdoc:
     + Add --quiet/--verbose options and short options (-a, -p, -v, -q).
     + Ignore $HOME/.yorick-doc for the root user, else problems happen
       when using sudo.
     + update-yorickdoc now creates $TO directory if needed and gives usage
       notice if called with unkown arguments (e.g. --help).
   * Remove obsolete linda overrides and yorick-almost-everything files
     from source package.
Files: 
 65533d651c05fd3a4b773e4e45c1bf88 767 math optional yorick_2.1.05+dfsg-4.dsc
 68bc00a8c757326b51cf287bb4cff782 28804 math optional yorick_2.1.05+dfsg-4.diff.gz
 38dfd68ece140c395267b5aace55c906 652358 math optional yorick_2.1.05+dfsg-4_i386.deb
 869e7d4d5b875d48422c593ce098a9cd 602146 math optional yorick-dev_2.1.05+dfsg-4_i386.deb
 49da51aa343a4e0c3329cd02008b0576 501932 math optional yorick-data_2.1.05+dfsg-4_all.deb
 175ff5a5edb8c24b5fd80b4a3a808d03 1354264 doc optional yorick-doc_2.1.05+dfsg-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2oee+37NkUuUiPERAuZiAJ9A5HcJEqBOZ0C8gQqWgn92TfCPGgCfVxw6
tARTFeyO0w4Coq0VaLyulBs=
=Axxn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Apr 2008 07:32:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:28:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.